Main Page | Modules | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# RPCNode Struct Reference
[Remote Procedure Call Subsystem]

Map registered procedure inside of a peer. More...

`#include <RPCNode.h>`

List of all members.

## Public Member Functions
| RPCNode (char *uniqueID, void(*_functionName)(char *input, int numberOfBitsOfData, PlayerID sender))
RPCNode & | operator= (const RPCNode &input)
| RPCNode (const RPCNode &input)
| RPCNode ()
| ~RPCNode ()
## Public Attributes
char * | uniqueIdentifier
void(* | functionName )(char *input, int numberOfBitsOfData, PlayerID sender)
## Friends
int | operator== (const RPCNode &left, const RPCNode &right)
int | operator> (const RPCNode &left, const RPCNode &right)
int | operator< (const RPCNode &left, const RPCNode &right)

## Detailed Description

Map registered procedure inside of a peer.

Note:
  You should not use this class directly. It is used internaly in the RPC Subsystem

An RPC Node corresponds to one register function.

## Constructor & Destructor Documentation

RPCNode::RPCNode | ( | char * | uniqueID,
|  | void(*)(char *input, int numberOfBitsOfData, PlayerID sender) | _functionName
| ) |

  | Constructor Parameters:
  | uniqueID | the id of the function
  | _functionName | a pointer to a function C function or static class member only

RPCNode::RPCNode | ( | const RPCNode & | input | ) |

  | Copy constructor Parameters:
  | input | the node to copy

RPCNode::RPCNode | ( |  | ) |

| Default constructor

RPCNode::~RPCNode | ( |  | ) |

| Destructor

## Member Function Documentation

RPCNode & RPCNode::operator= | ( | const RPCNode & | input | ) |

  | Assignment operator Parameters:
  | input | the node to copy
Returns: a reference to the instance

## Friends And Related Function Documentation

int operator< | ( | const RPCNode & | left,
|  | const RPCNode & | right
| ) | `[friend]`

  | Test if left is lesser than right. Parameters:
  | left | An RPC node.
  | right | An RPC node.
Returns: true if left is lesser than right.

int operator== | ( | const RPCNode & | left,
|  | const RPCNode & | right
| ) | `[friend]`

  | Test if two RPCNode are equal. Parameters:
  | left | An RPC node.
  | right | An RPC node.
Returns: true if equal false otherwise.

int operator> | ( | const RPCNode & | left,
|  | const RPCNode & | right
| ) | `[friend]`

  | Test if left is greater than right. Parameters:
  | left | An RPC node.
  | right | An RPC node.
Returns: true if left is greater than right.

## Member Data Documentation

void( * RPCNode::functionName)(char *input, int numberOfBitsOfData, PlayerID sender)

| A pointer to the function to be called

char* RPCNode::uniqueIdentifier

| A unique identifier

The documentation for this struct was generated from the following files:

- Projects/raknet/include/raknet/RPCNode.h
- Projects/raknet/Source/RPCNode.cpp